#anydesk https://download.anydesk.com/linux/anydesk_6.1.1-1_amd64.deb
#extract deb data.tar.gz file for the SOURCES

Summary:	The world's fastest remote desktop application
Name:		anydesk
Version:	6.3.1
Release:	%mkrel 1
Source0:	data.tar.gz
Source1:    anydesk.desktop
License:	GPLv2 and LGPL2.1
Group:		Networking/Remote access
URL:		https://download.anydesk.com/linux/

Requires:	lib64glib2.0_0
Requires:	gtk2
Requires:	cairo
Requires:	pango
Requires:	lib64x11_6
Requires:	libxcb
Requires:	libxrandr
Requires:	lib64xfixes3
Requires:	lib64xdamage1
Requires:	xinput
Requires:	lib64xrender1
Requires:	lib64gtkglext-1.0_0
Requires:	lib64polkit1_0
Requires:	pulseaudio
Requires:	libtool

Obsoletes:	%{name}-%{version}

%description
For large companies and startups alike, powerful remote assistance software
allows you to provide exceptional customer service and fast problem-solving
solutions from any location.
Particularly for software vendors or app developers, remote support and
monitoring ensures you can easily solve complex customer and
client issues from your central office.
Alternatively, connecting clients and customers to support teams
across the globe is quick and simple, ensuring you can always provide
access to people with the right knowledge and expertise.


%package autostart
Summary:	Start anydesk after desktop login
Group:		Networking/Remote access
Requires:	%{name}

%description autostart
Install this package to have anydesk automatically start
at boot.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

tar xf %SOURCE0 -C %{buildroot}

#drop this
rm -rf %{buildroot}/%{_datadir}/anydesk/files/init/anydesk
rm -rf %{buildroot}/%{_datadir}/anydesk/files/systemd/anydesk.service

install -Dm 755 %SOURCE1 %{buildroot}/etc/xdg/autostart/anydesk.desktop

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
 %{_bindir}/anydesk
 %{_bindir}/anydesk-global-settings
 %{_datadir}/applications/anydesk.desktop
 %{_datadir}/icons/hicolor/16x16/apps/anydesk.png
 %{_datadir}/icons/hicolor/24x24/apps/anydesk.png
 %{_datadir}/icons/hicolor/256x256/apps/anydesk.png
 %{_datadir}/icons/hicolor/32x32/apps/anydesk.png
 %{_datadir}/icons/hicolor/48x48/apps/anydesk.png
 %{_datadir}/icons/hicolor/scalable/apps/anydesk.svg
 %{_datadir}/pixmaps/anydesk.png
 %{_datadir}/pixmaps/anydesk.xpm
 %{_datadir}/polkit-1/actions/com.anydesk.anydesk.policy
   
%files autostart
%defattr(-,root,root,-)
/etc/xdg/autostart/anydesk.desktop

%changelog
* Tue Mar 26 2024 tex - 6.3.1-1pclos2024
- new version

* Mon Sep 25 2023 tex - 6.3.0-1pclos2023
- new version
